Anope Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001197Anope Development (1.9.x series)HostServpublic2010-10-08 14:032010-10-31 19:04
Reporterxeross 
Assigned ToAdam 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Platformx86-64OSDebianOS VersionLenny (5.0)
Product Version 
Target VersionFixed in Version1.9.x-GIT 
Summary0001197: Activated vhosts don't save across restarts
DescriptionWhenever I accept a vhost it doesn't seem to stay when restarting anope, it appears in the waiting list once more afterwards.

Possibly related to: 0001196
Steps To Reproduce1. Request vhost
2. Accept vhost (Possibly after multiple entries have been created in anope_extra by 0001196)
3. Restart Anope
4. vhost has to be activated again
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0005652)
Adam (administrator)
2010-10-31 19:04

Fixed in commit 011582ff3c0d69e6b426b744b1abf30bb175e019
(0005637)
xeross (reporter)
2010-10-09 18:28

I already found it odd I couldn't find a table for this, can't be too hard to store them though, just a table with person's name, whether it's accepted or nor, the vhost itself and possibly some additional data.

Anyway, good luck :)
(0005636)
Adam (administrator)
2010-10-09 18:24

This actually has nothing to do with requesting/accepting vhosts, we don't store vhosts at all. We need a table to store it in, but first we need to redo some of the table strucutures.

- Issue History
Date Modified Username Field Change
2010-10-08 14:03 xeross New Issue
2010-10-09 18:24 Adam Note Added: 0005636
2010-10-09 18:24 Adam Assigned To => Adam
2010-10-09 18:24 Adam Status new => confirmed
2010-10-09 18:28 xeross Note Added: 0005637
2010-10-31 19:04 Adam Note Added: 0005652
2010-10-31 19:04 Adam Status confirmed => resolved
2010-10-31 19:04 Adam Fixed in Version => 1.9.x-GIT
2010-10-31 19:04 Adam Resolution open => fixed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker